%global npm_name qs
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.5.3
Release: %mkrel 1
Summary: A querystring parser that supports nesting and arrays, with a depth limit
License: BSD
Group: Development/Other
URL: https://github.com/ljharb/qs
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc CHANGELOG.md
%doc README.md



%changelog
* Sun Feb 05 2023 kekepower <kekepower> 6.5.3-1.mga8
+ Revision: 1938425
- Update to version 6.5.3 to fix CVE-2022-24999 (mga#31494)

* Wed Feb 12 2020 umeabot <umeabot> 6.5.1-3.mga8
+ Revision: 1503118
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.5.1-2.mga7
+ Revision: 1280919
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 6.5.1-1.mga7
+ Revision: 1224799
- imported package nodejs-qs

